Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network53.0.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
53.0.0.0
Broadcast address
53.63.255.255
First usable
53.0.0.1
Last usable
53.63.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Public public
Old class
A (default /8)
As numbers
Hex 35000000 · Integer 889192448 to 893386751
Reverse DNS zones
0.53.in-addr.arpa
1.53.in-addr.arpa
2.53.in-addr.arpa
3.53.in-addr.arpa
4.53.in-addr.arpa
5.53.in-addr.arpa
6.53.in-addr.arpa
7.53.in-addr.arpa
8.53.in-addr.arpa
9.53.in-addr.arpa
10.53.in-addr.arpa
11.53.in-addr.arpa
12.53.in-addr.arpa
13.53.in-addr.arpa
14.53.in-addr.arpa
15.53.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110101.00000000.00000000.0000000053.0.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network00110101.00000000.00000000.0000000053.0.0.0
Broadcast00110101.00111111.11111111.1111111153.63.255.255
Split into smaller subnets/17

53.0.0.0/10 makes 128 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
153.0.0.0/1753.0.0.1 to 53.0.127.25453.0.127.25532,766
253.0.128.0/1753.0.128.1 to 53.0.255.25453.0.255.25532,766
353.1.0.0/1753.1.0.1 to 53.1.127.25453.1.127.25532,766
453.1.128.0/1753.1.128.1 to 53.1.255.25453.1.255.25532,766
553.2.0.0/1753.2.0.1 to 53.2.127.25453.2.127.25532,766
653.2.128.0/1753.2.128.1 to 53.2.255.25453.2.255.25532,766
753.3.0.0/1753.3.0.1 to 53.3.127.25453.3.127.25532,766
853.3.128.0/1753.3.128.1 to 53.3.255.25453.3.255.25532,766
953.4.0.0/1753.4.0.1 to 53.4.127.25453.4.127.25532,766
1053.4.128.0/1753.4.128.1 to 53.4.255.25453.4.255.25532,766
1153.5.0.0/1753.5.0.1 to 53.5.127.25453.5.127.25532,766
1253.5.128.0/1753.5.128.1 to 53.5.255.25453.5.255.25532,766
1353.6.0.0/1753.6.0.1 to 53.6.127.25453.6.127.25532,766
1453.6.128.0/1753.6.128.1 to 53.6.255.25453.6.255.25532,766
1553.7.0.0/1753.7.0.1 to 53.7.127.25453.7.127.25532,766
1653.7.128.0/1753.7.128.1 to 53.7.255.25453.7.255.25532,766
1753.8.0.0/1753.8.0.1 to 53.8.127.25453.8.127.25532,766
1853.8.128.0/1753.8.128.1 to 53.8.255.25453.8.255.25532,766
1953.9.0.0/1753.9.0.1 to 53.9.127.25453.9.127.25532,766
2053.9.128.0/1753.9.128.1 to 53.9.255.25453.9.255.25532,766
2153.10.0.0/1753.10.0.1 to 53.10.127.25453.10.127.25532,766
2253.10.128.0/1753.10.128.1 to 53.10.255.25453.10.255.25532,766
2353.11.0.0/1753.11.0.1 to 53.11.127.25453.11.127.25532,766
2453.11.128.0/1753.11.128.1 to 53.11.255.25453.11.255.25532,766
2553.12.0.0/1753.12.0.1 to 53.12.127.25453.12.127.25532,766
2653.12.128.0/1753.12.128.1 to 53.12.255.25453.12.255.25532,766
2753.13.0.0/1753.13.0.1 to 53.13.127.25453.13.127.25532,766
2853.13.128.0/1753.13.128.1 to 53.13.255.25453.13.255.25532,766
2953.14.0.0/1753.14.0.1 to 53.14.127.25453.14.127.25532,766
3053.14.128.0/1753.14.128.1 to 53.14.255.25453.14.255.25532,766
3153.15.0.0/1753.15.0.1 to 53.15.127.25453.15.127.25532,766
3253.15.128.0/1753.15.128.1 to 53.15.255.25453.15.255.25532,766
3353.16.0.0/1753.16.0.1 to 53.16.127.25453.16.127.25532,766
3453.16.128.0/1753.16.128.1 to 53.16.255.25453.16.255.25532,766
3553.17.0.0/1753.17.0.1 to 53.17.127.25453.17.127.25532,766
3653.17.128.0/1753.17.128.1 to 53.17.255.25453.17.255.25532,766
3753.18.0.0/1753.18.0.1 to 53.18.127.25453.18.127.25532,766
3853.18.128.0/1753.18.128.1 to 53.18.255.25453.18.255.25532,766
3953.19.0.0/1753.19.0.1 to 53.19.127.25453.19.127.25532,766
4053.19.128.0/1753.19.128.1 to 53.19.255.25453.19.255.25532,766
4153.20.0.0/1753.20.0.1 to 53.20.127.25453.20.127.25532,766
4253.20.128.0/1753.20.128.1 to 53.20.255.25453.20.255.25532,766
4353.21.0.0/1753.21.0.1 to 53.21.127.25453.21.127.25532,766
4453.21.128.0/1753.21.128.1 to 53.21.255.25453.21.255.25532,766
4553.22.0.0/1753.22.0.1 to 53.22.127.25453.22.127.25532,766
4653.22.128.0/1753.22.128.1 to 53.22.255.25453.22.255.25532,766
4753.23.0.0/1753.23.0.1 to 53.23.127.25453.23.127.25532,766
4853.23.128.0/1753.23.128.1 to 53.23.255.25453.23.255.25532,766
4953.24.0.0/1753.24.0.1 to 53.24.127.25453.24.127.25532,766
5053.24.128.0/1753.24.128.1 to 53.24.255.25453.24.255.25532,766
5153.25.0.0/1753.25.0.1 to 53.25.127.25453.25.127.25532,766
5253.25.128.0/1753.25.128.1 to 53.25.255.25453.25.255.25532,766
5353.26.0.0/1753.26.0.1 to 53.26.127.25453.26.127.25532,766
5453.26.128.0/1753.26.128.1 to 53.26.255.25453.26.255.25532,766
5553.27.0.0/1753.27.0.1 to 53.27.127.25453.27.127.25532,766
5653.27.128.0/1753.27.128.1 to 53.27.255.25453.27.255.25532,766
5753.28.0.0/1753.28.0.1 to 53.28.127.25453.28.127.25532,766
5853.28.128.0/1753.28.128.1 to 53.28.255.25453.28.255.25532,766
5953.29.0.0/1753.29.0.1 to 53.29.127.25453.29.127.25532,766
6053.29.128.0/1753.29.128.1 to 53.29.255.25453.29.255.25532,766
6153.30.0.0/1753.30.0.1 to 53.30.127.25453.30.127.25532,766
6253.30.128.0/1753.30.128.1 to 53.30.255.25453.30.255.25532,766
6353.31.0.0/1753.31.0.1 to 53.31.127.25453.31.127.25532,766
6453.31.128.0/1753.31.128.1 to 53.31.255.25453.31.255.25532,766
6553.32.0.0/1753.32.0.1 to 53.32.127.25453.32.127.25532,766
6653.32.128.0/1753.32.128.1 to 53.32.255.25453.32.255.25532,766
6753.33.0.0/1753.33.0.1 to 53.33.127.25453.33.127.25532,766
6853.33.128.0/1753.33.128.1 to 53.33.255.25453.33.255.25532,766
6953.34.0.0/1753.34.0.1 to 53.34.127.25453.34.127.25532,766
7053.34.128.0/1753.34.128.1 to 53.34.255.25453.34.255.25532,766
7153.35.0.0/1753.35.0.1 to 53.35.127.25453.35.127.25532,766
7253.35.128.0/1753.35.128.1 to 53.35.255.25453.35.255.25532,766
7353.36.0.0/1753.36.0.1 to 53.36.127.25453.36.127.25532,766
7453.36.128.0/1753.36.128.1 to 53.36.255.25453.36.255.25532,766
7553.37.0.0/1753.37.0.1 to 53.37.127.25453.37.127.25532,766
7653.37.128.0/1753.37.128.1 to 53.37.255.25453.37.255.25532,766
7753.38.0.0/1753.38.0.1 to 53.38.127.25453.38.127.25532,766
7853.38.128.0/1753.38.128.1 to 53.38.255.25453.38.255.25532,766
7953.39.0.0/1753.39.0.1 to 53.39.127.25453.39.127.25532,766
8053.39.128.0/1753.39.128.1 to 53.39.255.25453.39.255.25532,766
8153.40.0.0/1753.40.0.1 to 53.40.127.25453.40.127.25532,766
8253.40.128.0/1753.40.128.1 to 53.40.255.25453.40.255.25532,766
8353.41.0.0/1753.41.0.1 to 53.41.127.25453.41.127.25532,766
8453.41.128.0/1753.41.128.1 to 53.41.255.25453.41.255.25532,766
8553.42.0.0/1753.42.0.1 to 53.42.127.25453.42.127.25532,766
8653.42.128.0/1753.42.128.1 to 53.42.255.25453.42.255.25532,766
8753.43.0.0/1753.43.0.1 to 53.43.127.25453.43.127.25532,766
8853.43.128.0/1753.43.128.1 to 53.43.255.25453.43.255.25532,766
8953.44.0.0/1753.44.0.1 to 53.44.127.25453.44.127.25532,766
9053.44.128.0/1753.44.128.1 to 53.44.255.25453.44.255.25532,766
9153.45.0.0/1753.45.0.1 to 53.45.127.25453.45.127.25532,766
9253.45.128.0/1753.45.128.1 to 53.45.255.25453.45.255.25532,766
9353.46.0.0/1753.46.0.1 to 53.46.127.25453.46.127.25532,766
9453.46.128.0/1753.46.128.1 to 53.46.255.25453.46.255.25532,766
9553.47.0.0/1753.47.0.1 to 53.47.127.25453.47.127.25532,766
9653.47.128.0/1753.47.128.1 to 53.47.255.25453.47.255.25532,766
9753.48.0.0/1753.48.0.1 to 53.48.127.25453.48.127.25532,766
9853.48.128.0/1753.48.128.1 to 53.48.255.25453.48.255.25532,766
9953.49.0.0/1753.49.0.1 to 53.49.127.25453.49.127.25532,766
10053.49.128.0/1753.49.128.1 to 53.49.255.25453.49.255.25532,766
10153.50.0.0/1753.50.0.1 to 53.50.127.25453.50.127.25532,766
10253.50.128.0/1753.50.128.1 to 53.50.255.25453.50.255.25532,766
10353.51.0.0/1753.51.0.1 to 53.51.127.25453.51.127.25532,766
10453.51.128.0/1753.51.128.1 to 53.51.255.25453.51.255.25532,766
10553.52.0.0/1753.52.0.1 to 53.52.127.25453.52.127.25532,766
10653.52.128.0/1753.52.128.1 to 53.52.255.25453.52.255.25532,766
10753.53.0.0/1753.53.0.1 to 53.53.127.25453.53.127.25532,766
10853.53.128.0/1753.53.128.1 to 53.53.255.25453.53.255.25532,766
10953.54.0.0/1753.54.0.1 to 53.54.127.25453.54.127.25532,766
11053.54.128.0/1753.54.128.1 to 53.54.255.25453.54.255.25532,766
11153.55.0.0/1753.55.0.1 to 53.55.127.25453.55.127.25532,766
11253.55.128.0/1753.55.128.1 to 53.55.255.25453.55.255.25532,766
11353.56.0.0/1753.56.0.1 to 53.56.127.25453.56.127.25532,766
11453.56.128.0/1753.56.128.1 to 53.56.255.25453.56.255.25532,766
11553.57.0.0/1753.57.0.1 to 53.57.127.25453.57.127.25532,766
11653.57.128.0/1753.57.128.1 to 53.57.255.25453.57.255.25532,766
11753.58.0.0/1753.58.0.1 to 53.58.127.25453.58.127.25532,766
11853.58.128.0/1753.58.128.1 to 53.58.255.25453.58.255.25532,766
11953.59.0.0/1753.59.0.1 to 53.59.127.25453.59.127.25532,766
12053.59.128.0/1753.59.128.1 to 53.59.255.25453.59.255.25532,766
12153.60.0.0/1753.60.0.1 to 53.60.127.25453.60.127.25532,766
12253.60.128.0/1753.60.128.1 to 53.60.255.25453.60.255.25532,766
12353.61.0.0/1753.61.0.1 to 53.61.127.25453.61.127.25532,766
12453.61.128.0/1753.61.128.1 to 53.61.255.25453.61.255.25532,766
12553.62.0.0/1753.62.0.1 to 53.62.127.25453.62.127.25532,766
12653.62.128.0/1753.62.128.1 to 53.62.255.25453.62.255.25532,766
12753.63.0.0/1753.63.0.1 to 53.63.127.25453.63.127.25532,766
12853.63.128.0/1753.63.128.1 to 53.63.255.25453.63.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses